<?xml version="1.0"?>
<project name="bdf_extensions" default="jar">

<property name="project.name" value="${ant.project.name}"/>
<property name="project.version" value="dev"/>
<property name="project.repository" value="local"/>
<property name="src.path" location="../.."/>
<property name="deploy.path" location="../.."/>
<property name="build.dir" location="${deploy.path}/build/${project.name}"/>
<property name="dist.dir" location="${deploy.path}/dist/${project.name}-${project.version}"/>
<property name="vendor.lib.dir" location="../../vendor/lib"/>
<tstamp>
    <format property="timestamp.isoformat" pattern="yyyy-MM-dd'T'HH:mm:ss" locale="en"/>
    <format property="date.isoformat" pattern="yyyy-MM-dd" locale="en"/>
</tstamp>

<path id="compile.classpath">
    <!--<pathelement location="${vendor.lib.dir}/servlet-api.jar"/>-->
    <!-- suppose que Ant a été lancé préalablement pour BDF avec le même numéro de version -->
    <pathelement location="${deploy.path}/dist/bdf-${project.version}/WEB-INF/lib/bdf-${project.version}.jar"/>
</path>

<target name="init">
    <delete dir="${dist.dir}"/>
    <delete dir="${build.dir}"/>
    <mkdir dir="${dist.dir}"/>
    <mkdir dir="${build.dir}"/>
    <mkdir dir="${build.dir}/classes"/>
</target>

<target name="jar_exm_ceraicompta">
    <property name="exm_ceraicompta.dir" location="${build.dir}/BdfExt_EXM_CeraiCompta"/>
    <delete dir="${exm_ceraicompta.dir}"/>
    <mkdir dir="${exm_ceraicompta.dir}"/>
    <mkdir dir="${exm_ceraicompta.dir}/classes"/>
    <javac destdir="${exm_ceraicompta.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <src path="${src.path}/BdfExt_EXM_CeraiCompta/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_ceraicompta.dir}/classes">
        <fileset dir="${src.path}/BdfExt_EXM_CeraiCompta/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_ceraicompta.mf" location="${exm_ceraicompta.dir}/manifest.mf"/>
    <manifest file="${exm_ceraicompta.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_CeraiCompta-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_ceraicompta.mf}">
        <fileset dir="${exm_ceraicompta.dir}/classes"/>
    </jar>
</target>

<target name="jar_exm_resourcesupdate">
    <property name="exm_resourcesupdate.dir" location="${build.dir}/BdfExt_EXM_ResourcesUpdate"/>
    <delete dir="${exm_resourcesupdate.dir}"/>
    <mkdir dir="${exm_resourcesupdate.dir}"/>
    <mkdir dir="${exm_resourcesupdate.dir}/classes"/>
    <javac destdir="${exm_resourcesupdate.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <src path="${src.path}/BdfExt_EXM_ResourcesUpdate/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_resourcesupdate.dir}/classes">
        <fileset dir="${src.path}/BdfExt_EXM_ResourcesUpdate/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_resourcesupdate.mf" location="${exm_resourcesupdate.dir}/manifest.mf"/>
    <manifest file="${exm_resourcesupdate.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_ResourcesUpdate-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_resourcesupdate.mf}">
        <fileset dir="${exm_resourcesupdate.dir}/classes"/>
    </jar>
</target>

<target name="jar_exm_cef">
    <property name="exm_cef.dir" location="${build.dir}/BdfExt_EXM_Cef"/>
    <delete dir="${exm_cef.dir}"/>
    <mkdir dir="${exm_cef.dir}"/>
    <mkdir dir="${exm_cef.dir}/classes"/>
    <javac destdir="${exm_cef.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <src path="${src.path}/BdfExt_EXM_Cef/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_cef.dir}/classes">
        <fileset dir="${src.path}/BdfExt_EXM_Cef/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_cef.mf" location="${exm_cef.dir}/manifest.mf"/>
    <manifest file="${exm_cef.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_Cef-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_cef.mf}">
        <fileset dir="${exm_cef.dir}/classes"/>
    </jar>
</target>

<target name="jar_exm_comptaexemole">
    <property name="exm_comptaexemole.dir" location="${build.dir}/BdfExt_EXM_ComptaExemole"/>
    <delete dir="${exm_comptaexemole.dir}"/>
    <mkdir dir="${exm_comptaexemole.dir}"/>
    <mkdir dir="${exm_comptaexemole.dir}/classes"/>
    <javac destdir="${exm_comptaexemole.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <src path="${src.path}/UtilLib_Csv/src"/>
        <src path="${src.path}/BdfExt_EXM_ComptaExemole/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_comptaexemole.dir}/classes">
        <fileset dir="${src.path}/BdfExt_EXM_ComptaExemole/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_comptaexemole.mf" location="${exm_comptaexemole.dir}/manifest.mf"/>
    <manifest file="${exm_comptaexemole.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_ComptaExemole-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_comptaexemole.mf}">
        <fileset dir="${exm_comptaexemole.dir}/classes"/>
    </jar>
</target>

<target name="jar_exm_icyce">
    <property name="exm_icyce.dir" location="${build.dir}/BdfExt_EXM_Icyce"/>
    <delete dir="${exm_icyce.dir}"/>
    <mkdir dir="${exm_icyce.dir}"/>
    <mkdir dir="${exm_icyce.dir}/classes"/>
    <javac destdir="${exm_icyce.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <src path="${src.path}/BdfExt_EXM_Icyce/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_icyce.dir}/classes">
        <fileset dir="${src.path}/BdfExt_EXM_Icyce/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_icyce.mf" location="${exm_icyce.dir}/manifest.mf"/>
    <manifest file="${exm_icyce.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_Icyce-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_icyce.mf}">
        <fileset dir="${exm_icyce.dir}/classes"/>
    </jar>
</target>

<target name="jar_exm_utils">
    <property name="exm_utils.dir" location="${build.dir}/BdfExt_EXM_Utils"/>
    <delete dir="${exm_utils.dir}"/>
    <mkdir dir="${exm_utils.dir}"/>
    <mkdir dir="${exm_utils.dir}/classes"/>
    <javac destdir="${exm_utils.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <src path="${src.path}/BdfExt_EXM_Utils/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_utils.dir}/classes">
        <fileset dir="${src.path}/BdfExt_EXM_Utils/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_utils.mf" location="${exm_utils.dir}/manifest.mf"/>
    <manifest file="${exm_utils.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_Utils-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_utils.mf}">
        <fileset dir="${exm_utils.dir}/classes"/>
    </jar>
</target>

<target name="jar_exm_manuel">
    <property name="exm_manuel.dir" location="${build.dir}/BdfExt_EXM_Manuel"/>
    <delete dir="${exm_manuel.dir}"/>
    <mkdir dir="${exm_manuel.dir}"/>
    <mkdir dir="${exm_manuel.dir}/classes"/>
    <javac destdir="${exm_manuel.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <src path="${src.path}/BdfExt_EXM_Manuel/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_manuel.dir}/classes">
        <fileset dir="${src.path}/BdfExt_EXM_Manuel/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_manuel.mf" location="${exm_manuel.dir}/manifest.mf"/>
    <manifest file="${exm_manuel.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_Manuel-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_manuel.mf}">
        <fileset dir="${exm_manuel.dir}/classes"/>
    </jar>
</target>

<target name="jar_exm_scarabe">
    <property name="exm_scarabe.dir" location="${build.dir}/BdfExt_EXM_Scarabe"/>
    <delete dir="${exm_scarabe.dir}"/>
    <mkdir dir="${exm_scarabe.dir}"/>
    <mkdir dir="${exm_scarabe.dir}/classes"/>
    <javac destdir="${exm_scarabe.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <src path="${src.path}/BdfExt_EXM_Scarabe/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_scarabe.dir}/classes">
        <fileset dir="${src.path}/BdfExt_EXM_Scarabe/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_scarabe.mf" location="${exm_scarabe.dir}/manifest.mf"/>
    <manifest file="${exm_scarabe.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_Scarabe-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_scarabe.mf}">
        <fileset dir="${exm_scarabe.dir}/classes"/>
    </jar>
</target>

<target name="jar_exm_simplegrille">
    <property name="exm_simplegrille.dir" location="${build.dir}/BdfExt_EXM_SimpleGrille"/>
    <delete dir="${exm_simplegrille.dir}"/>
    <mkdir dir="${exm_simplegrille.dir}"/>
    <mkdir dir="${exm_simplegrille.dir}/classes"/>
    <javac destdir="${exm_simplegrille.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <src path="${src.path}/SimplegrilleLib_API/src"/>
        <src path="${src.path}/SimplegrilleLib_Impl/src"/>
        <src path="${src.path}/SimplegrilleLib_Xml/src"/>
        <src path="${src.path}/BdfExt_EXM_SimpleGrille/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_simplegrille.dir}/classes">
        <fileset dir="${src.path}/BdfExt_EXM_SimpleGrille/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_simplegrille.mf" location="${exm_simplegrille.dir}/manifest.mf"/>
    <manifest file="${exm_simplegrille.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_SimpleGrille-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_simplegrille.mf}">
        <fileset dir="${exm_simplegrille.dir}/classes"/>
    </jar>
</target>

<target name="jar_exm_bdis">
    <property name="exm_bdis.dir" location="${build.dir}/BdfExt_EXM_Bdis"/>
    <delete dir="${exm_bdis.dir}"/>
    <mkdir dir="${exm_bdis.dir}"/>
    <mkdir dir="${exm_bdis.dir}/classes"/>
    <javac destdir="${exm_bdis.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <src path="${src.path}/BdfExt_EXM_Bdis/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_bdis.dir}/classes">
        <fileset dir="${src.path}/BdfExt_EXM_Bdis/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_bdis.mf" location="${exm_bdis.dir}/manifest.mf"/>
    <manifest file="${exm_bdis.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_Bdis-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_bdis.mf}">
        <fileset dir="${exm_bdis.dir}/classes"/>
    </jar>
</target>

<target name="jar_exm_nssdialogues">
    <property name="exm_nssdialogues.dir" location="${build.dir}/BdfExt_EXM_NssDialogues"/>
    <delete dir="${exm_nssdialogues.dir}"/>
    <mkdir dir="${exm_nssdialogues.dir}"/>
    <mkdir dir="${exm_nssdialogues.dir}/classes"/>
    <javac destdir="${exm_nssdialogues.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <src path="${src.path}/BdfExt_EXM_NssDialogues/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_nssdialogues.dir}/classes">
        <fileset dir="${src.path}/BdfExt_EXM_NssDialogues/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_nssdialogues.mf" location="${exm_nssdialogues.dir}/manifest.mf"/>
    <manifest file="${exm_nssdialogues.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_NssDialogues-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_nssdialogues.mf}">
        <fileset dir="${exm_nssdialogues.dir}/classes"/>
    </jar>
</target>

<target name="jar_exm_annuaire">
    <property name="exm_annuaire.dir" location="${build.dir}/BdfExt_EXM_Annuaire"/>
    <delete dir="${exm_annuaire.dir}"/>
    <mkdir dir="${exm_annuaire.dir}"/>
    <mkdir dir="${exm_annuaire.dir}/classes"/>
    <javac destdir="${exm_annuaire.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <src path="${src.path}/BdfExt_EXM_Annuaire/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_annuaire.dir}/classes">
        <fileset dir="${src.path}/BdfExt_EXM_Annuaire/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_annuaire.mf" location="${exm_annuaire.dir}/manifest.mf"/>
    <manifest file="${exm_annuaire.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_Annuaire-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_annuaire.mf}">
        <fileset dir="${exm_annuaire.dir}/classes"/>
    </jar>
</target>

<target name="jar_exm_desmodo">
    <property name="exm_desmodo.dir" location="${build.dir}/BdfExt_EXM_Desmodo"/>
    <delete dir="${exm_desmodo.dir}"/>
    <mkdir dir="${exm_desmodo.dir}"/>
    <mkdir dir="${exm_desmodo.dir}/classes"/>
    <javac destdir="${exm_desmodo.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <compilerarg value="-Xlint:deprecation" />
        <src path="${src.path}/AtlasLib_API/src"/>
        <src path="${src.path}/AtlasLib_Impl/src"/>
        <src path="${src.path}/AtlasLib_Tools/src"/>
        <src path="${src.path}/AtlasLib_Display/src"/>
        <src path="${src.path}/BdfExt_EXM_Desmodo/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_desmodo.dir}/classes">
        <fileset dir="${src.path}/AtlasLib_API/src" excludes="**/*.java"/>
        <fileset dir="${src.path}/AtlasLib_Impl/src" excludes="**/*.java"/>
        <fileset dir="${src.path}/AtlasLib_Tools/src" excludes="**/*.java"/>
        <fileset dir="${src.path}/AtlasLib_Display/src" excludes="**/*.java"/>
        <fileset dir="${src.path}/BdfExt_EXM_Desmodo/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_desmodo.mf" location="${exm_desmodo.dir}/manifest.mf"/>
    <manifest file="${exm_desmodo.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_Desmodo-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_desmodo.mf}">
        <fileset dir="${exm_desmodo.dir}/classes"/>
    </jar>
</target>

<target name="jar_exm_arga">
    <property name="exm_arga.dir" location="${build.dir}/BdfExt_EXM_Arga"/>
    <delete dir="${exm_arga.dir}"/>
    <mkdir dir="${exm_arga.dir}"/>
    <mkdir dir="${exm_arga.dir}/classes"/>
    <javac destdir="${exm_arga.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <src path="${src.path}/BdfExt_EXM_Arga/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_arga.dir}/classes">
        <fileset dir="${src.path}/BdfExt_EXM_Arga/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_arga.mf" location="${exm_arga.dir}/manifest.mf"/>
    <manifest file="${exm_arga.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_Arga-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_arga.mf}">
        <fileset dir="${exm_arga.dir}/classes"/>
    </jar>
</target>

<target name="jar_exm_desmoservice">
    <property name="exm_desmoservice.dir" location="${build.dir}/BdfExt_EXM_Desmoservice"/>
    <delete dir="${exm_desmoservice.dir}"/>
    <mkdir dir="${exm_desmoservice.dir}"/>
    <mkdir dir="${exm_desmoservice.dir}/classes"/>
    <javac destdir="${exm_desmoservice.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <compilerarg value="-Xlint:deprecation" />
        <src path="${src.path}/AtlasLib_API/src"/>
        <src path="${src.path}/AtlasLib_Tools/src"/>
        <src path="${src.path}/AtlasLib_Display/src"/>
        <src path="${src.path}/AtlasLib_Json/src"/>
        <src path="${src.path}/AtlasLib_Impl/src"/>
        <src path="${src.path}/BdfExt_EXM_Desmoservice/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_desmoservice.dir}/classes">
        <fileset dir="${src.path}/AtlasLib_API/src" excludes="**/*.java"/>
        <fileset dir="${src.path}/AtlasLib_Tools/src" excludes="**/*.java"/>
        <fileset dir="${src.path}/AtlasLib_Display/src" excludes="**/*.java"/>
        <fileset dir="${src.path}/AtlasLib_Json/src" excludes="**/*.java"/>
        <fileset dir="${src.path}/AtlasLib_Impl/src" excludes="**/*.java"/>
        <fileset dir="${src.path}/BdfExt_EXM_Desmoservice/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_desmoservice.mf" location="${exm_desmoservice.dir}/manifest.mf"/>
    <manifest file="${exm_desmoservice.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_Desmoservice-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_desmoservice.mf}">
        <fileset dir="${exm_desmoservice.dir}/classes"/>
    </jar>
</target>

<target name="jar_exm_desmography">
    <property name="exm_desmography.dir" location="${build.dir}/BdfExt_EXM_Desmography"/>
    <delete dir="${exm_desmography.dir}"/>
    <mkdir dir="${exm_desmography.dir}"/>
    <mkdir dir="${exm_desmography.dir}/classes"/>
    <javac destdir="${exm_desmography.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <src path="${src.path}/BdfExt_EXM_Desmography/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_desmography.dir}/classes">
        <fileset dir="${src.path}/BdfExt_EXM_Desmography/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_desmography.mf" location="${exm_desmography.dir}/manifest.mf"/>
    <manifest file="${exm_desmography.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_Desmography-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_desmography.mf}">
        <fileset dir="${exm_desmography.dir}/classes"/>
    </jar>
</target>

<target name="jar_exm_scrutarijs">
    <property name="exm_scrutarijs.dir" location="${build.dir}/BdfExt_EXM_ScrutariJs"/>
    <delete dir="${exm_scrutarijs.dir}"/>
    <mkdir dir="${exm_scrutarijs.dir}"/>
    <mkdir dir="${exm_scrutarijs.dir}/classes"/>
    <javac destdir="${exm_scrutarijs.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <src path="${src.path}/BdfExt_EXM_ScrutariJs/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_scrutarijs.dir}/classes">
        <fileset dir="${src.path}/BdfExt_EXM_ScrutariJs/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_scrutarijs.mf" location="${exm_scrutarijs.dir}/manifest.mf"/>
    <manifest file="${exm_scrutarijs.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_ScrutariJs-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_scrutarijs.mf}">
        <fileset dir="${exm_scrutarijs.dir}/classes"/>
    </jar>
</target>

<target name="jar_exm_multiidselection">
    <property name="exm_multiidselection.dir" location="${build.dir}/BdfExt_EXM_MultiIdSelection"/>
    <delete dir="${exm_multiidselection.dir}"/>
    <mkdir dir="${exm_multiidselection.dir}"/>
    <mkdir dir="${exm_multiidselection.dir}/classes"/>
    <javac destdir="${exm_multiidselection.dir}/classes" source="1.8" target="1.8" debug="true" debuglevel="lines,vars,source">
        <compilerarg line="-encoding utf-8"/>
        <src path="${src.path}/BdfExt_EXM_MultiIdSelection/src"/>
        <classpath refid="compile.classpath"/>
    </javac>
    <copy todir="${exm_multiidselection.dir}/classes">
        <fileset dir="${src.path}/BdfExt_EXM_MultiIdSelection/src" excludes="**/*.java"/>
    </copy>
    <property name="exm_multiidselection.mf" location="${exm_multiidselection.dir}/manifest.mf"/>
    <manifest file="${exm_multiidselection.mf}">
        <attribute name="Built-On" value="${timestamp.isoformat}"/>
    </manifest>
    <jar destfile="${dist.dir}/BdfExt_EXM_MultiIdSelection-${project.version}.jar" duplicate="preserve" compress="true" manifest="${exm_multiidselection.mf}">
        <fileset dir="${exm_multiidselection.dir}/classes"/>
    </jar>
</target>

<target name="jar" depends="init,jar_exm_ceraicompta,jar_exm_resourcesupdate,jar_exm_cef,jar_exm_comptaexemole,jar_exm_icyce,jar_exm_utils,jar_exm_manuel,jar_exm_scarabe,jar_exm_simplegrille,jar_exm_bdis,jar_exm_nssdialogues,jar_exm_annuaire,jar_exm_desmodo,jar_exm_arga,jar_exm_desmoservice,jar_exm_desmography,jar_exm_scrutarijs,jar_exm_multiidselection">

</target>


</project>
